## php3-contrib 3.0-1

=== debian/changelog ===
php3-contrib (1:3.0-1) frozen unstable; urgency=low

  * Final release, to work with php3 3.0
  * Rework php3 dependency to be much safer (now one cannot install
    a module of one version with php3 of another)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 10 Jun 1998 01:19:40 +0200

php3-contrib (3.0rc4-1) frozen unstable; urgency=low

  * New upstream source - release candidate. Previous version didn't
    work with current php3, this needs to get into hamm

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 20 May 1998 21:16:33 +0200

php3-contrib (3.0b6-1) unstable; urgency=low

  * Remove dh_du call from the rules file
  * New upstream beta

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu,  5 Mar 1998 18:02:38 +0100

php3-contrib (3.0b4-1) unstable; urgency=low

  * New upstream release

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue,  3 Feb 1998 20:22:41 +0100

php3-contrib (3.0b3-1) unstable; urgency=low

  * msql support cannot be built yet :(
  * Take out the needed source files from the php3 distribution
  * Initial Release.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun, 25 Jan 1998 01:04:04 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "gorgo@caesar.elte.hu"
End:
