=== debian/control ===
Source: php3-contrib
Section: contrib/web
Priority: optional
Maintainer: Gergely Madarasz <gorgo@caesar.elte.hu>
Standards-Version: 2.3.0.1

Package: php3-mysql
Architecture: any
Depends: ${php3:Depends}, ${shlibs:Depends}
Provides: php3-database
Description: Mysql module for PHP3
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 .
 This package provides a PHP3 module for mysql connectivity directly
 from PHP3 scripts.

Package: php3-gd
Architecture: any
Depends: ${php3:Depends}, ${shlibs:Depends}
Description: GD (graphic creation) module for PHP3
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 .
 This package provides a PHP3 module to use the GD graphics library calls
 directly from PHP3 scripts.
